#include <bits/stdc++.h>
using namespace std;
long long a[1000];
long long ans[350][350][350];
long long mod = 1000000007;
long long F(long long x, long long y, long long z)
{
    long long i, j, ret = 0;
    if(ans[x][y][z] != 0 || z == 0) return ans[x][y][z];
    for(i = x; i <= y; i++)
        for(j = i; j <= y; j++)
            ret = ret + F(i, j, z - 1);
    ans[x][y][z] = ret;
    return ret;
}
int main()
{
    ios_base::sync_with_stdio(false);
    long long n, k, i, j;
    cin >> n >> k;
    for(i = 1; i <= n; i++) cin >> a[i];
    for(j = 0; j <= k + 1; j++)
        for(i = 1; i <= n; i++)
            ans[i][i][j] = a[i];
    cout << F(1, n, k + 1);
    return 0;
}